Package owl.ltl

## Class BinaryModalOperator

- java.lang.Object
- - owl.ltl.AbstractFormula
  - - owl.ltl.BinaryModalOperator

- All Implemented Interfaces:
    `Formula`
  Direct Known Subclasses:
    `MOperator`, `ROperator`, `UOperator`, `WOperator`

      public abstract class BinaryModalOperator
      extends AbstractFormula

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Formula` | `left` |
    `Formula` | `right` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allMatch​(Predicate<Formula> predicate)` |
    `boolean` | `anyMatch​(Predicate<Formula> predicate)` |
    `protected boolean` | `equals2​(AbstractFormula o)` |
    `abstract char` | `getOperator()` |
    `protected int` | `hashCodeOnce()` |
    `Formula` | `temporalStep​(BitSet valuation)` | Do a single temporal step.
    `Formula` | `temporalStepUnfold​(BitSet valuation)` | Short-cut operation to avoid intermediate construction of formula ASTs.
    `String` | `toString()` |

    - ### Methods inherited from class owl.ltl.AbstractFormula

      `equals, hashCode`

    - ### Methods inherited from interface owl.ltl.Formula

      `accept, accept, accept, isPureEventual, isPureUniversal, isSuspendable, nnf, not, unfold, unfoldTemporalStep`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### left

          public final Formula left

    - #### right

          public final Formula right

  - ### Method Detail

    - #### allMatch

          public boolean allMatch​(Predicate<Formula> predicate)

    - #### anyMatch

          public boolean anyMatch​(Predicate<Formula> predicate)

    - #### hashCodeOnce

          protected final int hashCodeOnce()

      Specified by:
        `hashCodeOnce` in class `AbstractFormula`

    - #### equals2

          protected final boolean equals2​(AbstractFormula o)

      Specified by:
        `equals2` in class `AbstractFormula`

    - #### getOperator

          public abstract char getOperator()

    - #### temporalStep

          public Formula temporalStep​(BitSet valuation)

      Description copied from interface: `Formula`
      Do a single temporal step. This means that one layer of X-operators is removed and literals are replaced by their valuations.

    - #### temporalStepUnfold

          public Formula temporalStepUnfold​(BitSet valuation)

      Description copied from interface: `Formula`
      Short-cut operation to avoid intermediate construction of formula ASTs.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`